# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::DistanceLODEvaluator Class Reference

A LODEvaluator that computes the appropriate LOD based on the distance of an Actor from the Camera. More...

`#include <DistanceLODEvaluator.hpp>`

Inheritance diagram for vl::DistanceLODEvaluator:

List of all members.

## Public Member Functions

| DistanceLODEvaluator ()
virtual const char * | className ()
| Returns the name of the class.
virtual int | evaluate (Actor *actor, Camera *camera)
const std::vector< double > & | distanceRangeSet ()
void | clearDistanceRangeSet ()
int | distanceRangeCount () const
double | distanceRange (int index) const
void | setDistanceRangeSet (const std::vector< double > &distance_set)
void | addDistanceRange (double distance)
void | setDistanceRange (int index, double distance)

## Protected Attributes

std::vector< double > | mDistanceRangeSet

## Detailed Description

A LODEvaluator that computes the appropriate LOD based on the distance of an Actor from the Camera.

See also:
  - LODEvaluator
  - PixelLODEvaluator

Definition at line 50 of file DistanceLODEvaluator.hpp.

## Constructor & Destructor Documentation

vl::DistanceLODEvaluator::DistanceLODEvaluator | ( | ) | `[inline]`

Definition at line 53 of file DistanceLODEvaluator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::DistanceLODEvaluator::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::LODEvaluator.

Definition at line 57 of file DistanceLODEvaluator.hpp.

virtual int vl::DistanceLODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera
| ) |  | `[inline, virtual]`

Implements vl::LODEvaluator.

Definition at line 58 of file DistanceLODEvaluator.hpp.

References vl::Matrix4< T_Scalar >::getT(), vl::Camera::inverseViewMatrix(), vl::length(), vl::Actor::lod(), mDistanceRangeSet, vl::Actor::transform(), and vl::ITransform::worldMatrix().

const std::vector<double>& vl::DistanceLODEvaluator::distanceRangeSet | ( | ) | `[inline]`

Definition at line 77 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

void vl::DistanceLODEvaluator::clearDistanceRangeSet | ( | ) | `[inline]`

Definition at line 78 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

int vl::DistanceLODEvaluator::distanceRangeCount | ( | ) | const`[inline]`

Definition at line 79 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

double vl::DistanceLODEvaluator::distanceRange | ( | int | index ) | const`[inline]`

Definition at line 80 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

void vl::DistanceLODEvaluator::setDistanceRangeSet | ( | const std::vector< double > & | distance_set ) | `[inline]`

Definition at line 82 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

void vl::DistanceLODEvaluator::addDistanceRange | ( | double | distance ) | `[inline]`

Definition at line 83 of file DistanceLODEvaluator.hpp.

References mDistanceRangeSet.

void vl::DistanceLODEvaluator::setDistanceRange | ( | int | index,
|  | double | distance
| ) |  | `[inline]`

Definition at line 84 of file DistanceLODEvaluator.hpp.

References vl::distance(), and mDistanceRangeSet.

## Member Data Documentation

std::vector<double> vl::DistanceLODEvaluator::mDistanceRangeSet`[protected]`

Definition at line 87 of file DistanceLODEvaluator.hpp.

Referenced by addDistanceRange(), clearDistanceRangeSet(), distanceRange(), distanceRangeCount(), distanceRangeSet(), evaluate(), setDistanceRange(), and setDistanceRangeSet().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DistanceLODEvaluator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:38.
Permission is granted to use this page to write and publish articles regarding Visualization Library.